# Class VCFDecoderV4_1

java.lang.Object
htsjdk.beta.codecs.variants.vcf.VCFDecoder
htsjdk.beta.codecs.variants.vcf.vcfv4_1.VCFDecoderV4_1

All Implemented Interfaces:
  `HtsDecoder<VCFHeader, VariantContext>, HtsQuery<VariantContext>, VariantsDecoder, Closeable, AutoCloseable, Iterable<VariantContext>`

public class VCFDecoderV4_1 extends VCFDecoder
VCF V4.1 decoder.

## Constructor Summary

Constructors
Constructor
Description
`VCFDecoderV4_1(Bundle inputBundle, VariantsDecoderOptions variantsDecoderOptions)`
Create a new VCF V4.1 decoder.

## Method Summary

Modifier and Type
Method
Description
`HtsVersion`
`getVersion()`
Get the version of the file format supported by this decoder.

### Methods inherited from class VCFDecoder

`close, getDisplayName, getFileFormat, getHeader, getInputBundle, getReadsDecoderOptions, hasIndex, isQueryable, iterator, query, query, queryStart`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface HtsQuery

`query, query, queryContained, queryContained, queryContained, queryOverlapping, queryOverlapping, queryOverlapping`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Constructor Details

### VCFDecoderV4_1

public VCFDecoderV4_1(Bundle inputBundle, VariantsDecoderOptions variantsDecoderOptions)
Create a new VCF V4.1 decoder.

Parameters:
  `inputBundle` - the input `Bundle` to decode
  `variantsDecoderOptions` - the `VariantsDecoderOptions` for this decoder

## Method Details

### getVersion

public HtsVersion getVersion()
Description copied from interface: `HtsDecoder`
Get the version of the file format supported by this decoder.